HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Please upgrade here. These earlier versions are no longer being updated and have security issues.

Issues upgrading from beta

Hey all, I am currently running the old 2.0.18.10 beta and overdue for an update. I've backed everything up and tried updating this morning using the advice here. I was stuck with a blank screen. I tweaked my config file and ended up progressing: I was now stuck at a "something went wrong" screen! turning on debug did nothing more to help in that area, so I'm not trying to restore this morning's backup. Giving up for now.

I'd be happy with a fresh and clean install of vanilla, so long as I can retain my users and posts. What if I just wipe all the files, upload the 2.1.8 files, and point it all to my old DB? Is that ill advised?

Comments

  • BleistivtBleistivt Moderator

    I was now stuck at a "something went wrong" screen! turning on debug did nothing more to help in that area

    How did you turn on debug mode?

  • i tried to do that by adding a line to my config file. no worries now, we can delete this unless we want to just chat about it for educational purposes - i just did a clean install and used vanilla porter to bring my users and posts over to a new db (which i know isn't ideal but seems to work fine)

  • I have the same problem upgrading vanilla/master branch from 2.1.??

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    Plugins and themes need to be disabled before you update and then you need to update the plugins and themes before you enable them again.

    I have the same problem upgrading

    Not the same problem since you are using 2.1 and he is using 2.0 best look into how your update went. Try re-uploading the files for update..

  • The he is using 2.2 which is alpha he want to bring everything to 2.1 stable.

    People really shouldn't be using alpha, except for testing.

    It can be problematic move from 2.2 to 2.1 becuase they are different streams. I have done it before, but you will get hurdles sometimes. You just have to work through them.

    Also the porter is not for upgrading vanilla. the problem with the porter is the format lacks schema, so it is prone to corruption.

    grep is your friend.

Sign In or Register to comment.